#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define __brp_python_bytecompile %{nil}
%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		qt-creator
Version:	4.2.1
Release:	%mkrel 3
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/KDE and Qt
URL:		http://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	http://download.qt-project.org/official_releases/qtcreator/%{url_ver}/%{version}/qt-creator-opensource-src-%{version}.tar.gz
Source2:	Nokia-QtCreator.xml

BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	qtbase5-devel
BuildRequires:	qttools5
BuildRequires:	qttools5-assistant

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	botan-devel
BuildRequires:	clang-devel >= 3.9.1
BuildRequires:	llvm-devel >= 3.9.1

Requires:	qtdeclarative5
Requires:       qtquicktest5-devel
Requires:	qtquickcontrols5

Recommends:	qttools5-designer
Recommends:	qttools5-assistant
Recommends:	qtbase5-devel
Recommends:     qttools5
Recommends:	%{name}-doc

%description
Qt Creator (previously known as Project Greenhouse) is a lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

#------------------------------------------------------------------------------

%package doc
Summary:        User documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
User documentation for %{name}.


%files
%exclude %{_defaultdocdir}/qtcreator/qtcreator.qch
%{_bindir}/qtcreator
%{_bindir}/qbs
%{_bindir}/qbs-config
%{_bindir}/qbs-config-ui
%{_bindir}/qbs-qmltypes
%{_bindir}/qbs-setup-android
%{_bindir}/qbs-setup-qt
%{_bindir}/qbs-setup-toolchains
%{_datadir}/applications/org.qt-project.qtcreator.desktop
%{_datadir}/qtcreator/
%{_datadir}/metainfo/org.qt-project.qtcreator.appdata.xml
%{_datadir}/mime/application/Nokia-QtCreator.xml
%{_iconsdir}/hicolor/*/apps/QtProject-qtcreator.png
%{_libdir}/qtcreator/
%{_libexecdir}/qtcreator/
%{_sysconfdir}/ld.so.conf.d/*.conf


%files doc
%doc %{_defaultdocdir}/qtcreator/qtcreator.qch

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-opensource-src-%{version}

%build
export QTDIR="%{_qt5_prefix}"
export PATH="%{_qt5_bindir}:$PATH"

%qmake_qt5 -r IDE_LIBRARY_BASENAME=%{_lib} USE_SYSTEM_BOTAN=1 LLVM_INSTALL_DIR=%{_prefix} CONFIG+=disable_external_rpath
%make_build
%make_build qch_docs

%install
make install INSTALL_ROOT=%{buildroot}%{_prefix}
make install_inst_qch_docs  INSTALL_ROOT=%{buildroot}%{_prefix}

mkdir -p %{buildroot}%{_datadir}/mime/application
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/mime/application

# Use the new ld.so.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
pushd %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > qt-creator.conf
popd


%changelog
* Tue Mar 28 2017 tmb <tmb> 4.2.1-3.mga6
+ Revision: 1095110
- rebuild for armv5tl

* Tue Mar 28 2017 neoclust <neoclust> 4.2.1-2.mga6
+ Revision: 1095056
- Rebuild for ARM

* Sun Mar 19 2017 akien <akien> 4.2.1-1.mga6
+ Revision: 1093601
- Package upstream metainfo and desktop file (replaces our desktop file)
- Version 4.2.1

* Tue Mar 14 2017 neoclust <neoclust> 4.2.0-3.mga6
+ Revision: 1092614
- Fix missing qmlscene (mga#19608)

* Sun Feb 19 2017 daviddavid <daviddavid> 4.2.0-2.mga6
+ Revision: 1086849
- remove useless BRs on gstreamer0.10

* Sat Jan 07 2017 neoclust <neoclust> 4.2.0-1.mga6
+ Revision: 1080575
- New version 4.2.0

* Sat Jan 07 2017 tmb <tmb> 4.1.0-2.mga6
+ Revision: 1080483
- rebuild with new llvm

  + neoclust <neoclust>
    - Revert for version 4.1.0 in mga6
    - New version 4.2.0

* Tue Sep 06 2016 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 1050238
- New version 4.1.0
- enable llvm and clang support
- use system botan instead

  + neoclust <neoclust>
    - Recommends qttools5
    - New version 4.0.3

  + akien <akien>
    - Use pkgconfig for Qt5 BuildRequires
    - Reorder BuildRequires alphabetically

* Wed May 11 2016 neoclust <neoclust> 4.0.0-1.mga6
+ Revision: 1013009
- New version 4.0.0

* Mon Apr 25 2016 neoclust <neoclust> 4.0.0-0.rc1.1.mga6
+ Revision: 1005985
- New version 4.0.0 rc1

  + doktor5000 <doktor5000>
    - remove old deprecated filetriggers
    - filetriggers not necessary, glibc contains ldconfig filetrigger that fires on %%_libdir

* Thu Dec 24 2015 neoclust <neoclust> 3.6.0-1.mga6
+ Revision: 914054
- New version 3.6.0
- Rebuild against Qt 5.6.0 Beta
- new version 3.6.0 Beta1

* Sun Oct 25 2015 neoclust <neoclust> 3.5.1-1.mga6
+ Revision: 895069
- New version 3.5.1

* Thu Aug 27 2015 neoclust <neoclust> 3.5.0-1.mga6
+ Revision: 870342
- New version 3.5.0

* Sat Aug 08 2015 neoclust <neoclust> 3.5.0-0.rc1.1.mga6
+ Revision: 861626
- New version 3.5.0-rc1

* Mon Jul 27 2015 neoclust <neoclust> 3.5.0-0.beta1.1.mga6
+ Revision: 858174
- New version 3.5.0 beta1

* Sun Jul 19 2015 neoclust <neoclust> 3.4.2-1.mga6
+ Revision: 855247
- New version 3.4.2

* Mon Mar 30 2015 luigiwalser <luigiwalser> 3.3.0-2.mga5
+ Revision: 819417
- add patch from fedora to verify host key in built-in ssh client (mga#15559)

* Tue Dec 23 2014 neoclust <neoclust> 3.3.0-1.mga5
+ Revision: 805010
- New version 3.3.0

* Thu Dec 04 2014 doktor5000 <doktor5000> 3.2.2-3.mga5
+ Revision: 801523
- add Requires on qtquickcontrols5 to enable loading of Qt Quick 1.0 modules

* Thu Dec 04 2014 doktor5000 <doktor5000> 3.2.2-2.mga5
+ Revision: 800819
- add Requires on qtdeclarative5 to enable loading of Qt Quick 2.x modules

* Sun Nov 30 2014 doktor5000 <doktor5000> 3.2.2-1.mga5
+ Revision: 800062
- rediffed qt-creator-mga-docdir.patch
- new version 3.2.2
- build and add Recommends on -doc subpackage, fixes (mga#12866)
- rediffed qt-creator-mga_docdir.patch for correct doc directory name

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 743064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-2.mga5
+ Revision: 688520
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Aug 22 2014 neoclust <neoclust> 3.2.0-1.mga5
+ Revision: 666504
- New version 3.2.0

* Mon May 26 2014 fwang <fwang> 3.1.1-1.mga5
+ Revision: 626580
- 3.1.1

* Thu May 01 2014 anaselli <anaselli> 3.1.0-2.mga5
+ Revision: 619316
- Added missing icon

* Sat Apr 19 2014 fwang <fwang> 3.1.0-1.mga5
+ Revision: 616989
- 3.1.0 final

* Mon Apr 07 2014 fwang <fwang> 3.1.0-0.rc1.1.mga5
+ Revision: 612677
- update file list
- 3.1.0 rc1

* Sun Feb 09 2014 fwang <fwang> 3.0.1-1.mga5
+ Revision: 586938
- drop unused patch

* Sat Dec 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 556765
- fix linkage
- 3.0.0 final
- rebuild

* Sun Dec 01 2013 fwang <fwang> 3.0.0-0.rc1.1.mga4
+ Revision: 554489
- add br
- 3.0.0 rc1

* Tue Nov 19 2013 fwang <fwang> 3.0.0-0.beta.1.mga4
+ Revision: 551849
- update file list
- new version 3.0beta
- qt5v8 is not needed anymore

* Mon Oct 21 2013 umeabot <umeabot> 2.8.1-3.mga4
+ Revision: 539087
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 neoclust <neoclust> 2.8.1-2.mga4
+ Revision: 491350
- Rebuild against qt 5.2.0 alpha

* Thu Aug 29 2013 neoclust <neoclust> 2.8.1-1.mga4
+ Revision: 473123
- New version
- New version 2.8rc

  + fwang <fwang>
    - linkage fix
    - 2.8.0 final

* Thu Apr 18 2013 neoclust <neoclust> 2.7.0-2.mga3
+ Revision: 410425
- Rebuild against Qt 5.0.2

* Thu Mar 28 2013 neoclust <neoclust> 2.7.0-1.mga3
+ Revision: 405853
- New version 2.7.0 Final

* Wed Mar 13 2013 neoclust <neoclust> 2.7.0-0.rc.2.mga3
+ Revision: 402386
- Rebuild in core

* Sat Mar 09 2013 neoclust <neoclust> 2.7.0-0.rc.1.mga3
+ Revision: 401966
- New version 2.7.0RC

* Sun Feb 24 2013 neoclust <neoclust> 2.7.0-0.beta1.1.mga3
+ Revision: 400280
- New version 2.7.0 beta

* Wed Feb 06 2013 neoclust <neoclust> 2.6.2-1.mga3
+ Revision: 394926
- New version

* Sat Feb 02 2013 neoclust <neoclust> 2.6.1-6.mga3
+ Revision: 394068
- Fix suggests to be qt5 friendly

* Sun Jan 27 2013 neoclust <neoclust> 2.6.1-5.mga3
+ Revision: 392811
- Translate BR to qt5

* Sat Jan 26 2013 neoclust <neoclust> 2.6.1-4.mga3
+ Revision: 392436
- Add ld.conf and rpm trigger files

* Fri Jan 25 2013 fwang <fwang> 2.6.1-3.mga3
+ Revision: 392238
- br lrelease
- clear debug code
- update url

  + neoclust <neoclust>
    - Build against qt5

* Sun Jan 13 2013 umeabot <umeabot> 2.6.1-2.mga3
+ Revision: 379916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 neoclust <neoclust> 2.6.1-1.mga3
+ Revision: 344283
- New version 2.6.1

* Fri Nov 09 2012 neoclust <neoclust> 2.6.0-1.mga3
+ Revision: 316537
- New version 2.6.0

* Fri Aug 10 2012 neoclust <neoclust> 2.5.2-1.mga3
+ Revision: 280357
- New version 2.5.2

* Sun Jul 29 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 275706
- new version 2.5.1

* Mon May 28 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 247799
- new version 2.5.0

* Sat Feb 04 2012 fwang <fwang> 2.4.1-1.mga2
+ Revision: 204478
- update file list
- new version 2.4.1

* Tue Dec 27 2011 dmorgan <dmorgan> 2.4.0-3.mga2
+ Revision: 188042
- Fix file list
- Fix file list
- BR qt4-devel-private for qml design plugin

* Sun Dec 18 2011 fwang <fwang> 2.4.0-2.mga2
+ Revision: 183609
- br qtwebkit

* Thu Dec 15 2011 fwang <fwang> 2.4.0-1.mga2
+ Revision: 182249
- 2.4.0 final

* Mon Nov 28 2011 fwang <fwang> 2.4.0-0.rc.1.mga2
+ Revision: 173680
- new version 2.4.0

* Tue Oct 25 2011 dmorgan <dmorgan> 2.4.0-0.beta1.1.mga2
+ Revision: 158135
- New version 2.4.0 Beta

* Tue Oct 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 151514
- fix install
- new version 2.3.1

* Fri Sep 02 2011 tv <tv> 2.3.0-2.mga2
+ Revision: 137887
- make the huge doc subpackage be noarch

* Fri Sep 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 137872
- fix typo
- move wrong files
- does not produce doc any more
- update file list
- update file list
- fix install
- new version 2.3.0

* Mon Jun 27 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 114599
- new version 2.2.1

* Sat May 07 2011 mikala <mikala> 2.2.0-1.mga1
+ Revision: 95875
- Update to final 2.2.0

* Wed Apr 20 2011 mikala <mikala> 2.2.0-0.rc1.1.mga1
+ Revision: 88914
- Update to 2.2.0 rc1

* Mon Mar 07 2011 ahmad <ahmad> 2.1.0-2.mga1
+ Revision: 66204
- use the current qt4-devel Epoch in the BR
- imported package qt-creator


* Thu Mar 03 2011 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2011.0
+ Revision: 641446
- New version 2.1.0 final

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.2mdv2011.0
+ Revision: 620625
- new prefix=/usr

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.1mdv2011.0
+ Revision: 609620
- 2.1 rc1

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.beta2.1mdv2011.0
+ Revision: 595931
- new version 2.1 beta2

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 2.1-0.2mdv2011.0
+ Revision: 582907
- new snapshot
- revert previous commit
- doc package is noarch

* Fri Aug 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-0.1mdv2011.0
+ Revision: 573461
- Update to 08-27-2010 git snapshot of qt-creator 2.1

* Wed Aug 25 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 573286
- new version 2.0.1
- New version 2.0.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix qt minimal version required

* Fri Jan 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 497889
- fix typo in .desktop file
-fix typo in summary

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-2mdv2010.1
+ Revision: 497513
- fix installing docs
- split docs in a separate package
- oboslete old -doc-1.2.1 package, docs are now in main package
- clean spec
- make .desktop file compliant with xdg specs
- install the docs, and symlink the excutable to %%_bindir (bug 57185)

* Tue Jan 19 2010 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.1
+ Revision: 493632
- new version 1.3.1

* Mon Jan 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-2mdv2010.1
+ Revision: 493106
- Fix missing icon issue under not KDE

* Tue Dec 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 472225
- Update to version 1.3.0 final

* Wed Nov 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.rc1.1mdv2010.1
+ Revision: 467207
- Update to 1.3.0 Rc1

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.4mdv2010.1
+ Revision: 466820
- Fix mime emplacement

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.3mdv2010.1
+ Revision: 466798
- Fix Exec menu entry

* Tue Nov 10 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.0-0.beta1.2mdv2010.1
+ Revision: 464135
- As requested by Neoclust adding trunk post beta1

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 451025
- Fixing stub binary place as demanded as fast as possible by research and development team.

* Tue Jul 14 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 396006
- New upstream bugfix release 1.2.1

* Sat Jul 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 392362
- New upstream version

* Wed Apr 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 369145
- Update release 1.1.0 with cmake patch updated as well

* Mon Mar 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 355923
- Fixed doc package creation

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 353617
- add proper categories

* Mon Mar 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 353237
- This is the first package with the new changes introduced by Mandriva to make a suitable distro compliant
  buildsystem, to list some of the changes:
- Cmake buildsystem replacement fully working, allowing a good 32 bits / 64 bits separation
- Designer plugin fully working
- Added missing icons and mimes, taken from upstream binary package
- Added global mime
- Added desktop file and icons
- Finished initial cmake port build to allow 64 / 32 bits. Still under
  development since some plugins aren't properly registering

* Tue Mar 03 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 347862
- New version 1.0.0

* Mon Feb 16 2009 Helio Chissini de Castro <helio@mandriva.com> 0.9.2-1mdv2009.1
+ Revision: 341074
- import qt-creator


